%{!?perl_vendorarch: %global perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		lfc
Version:	1.7.3.1
Release:	3%{?dist}
Summary:	LCG File Catalog (LFC)

Group:		System Environment/Libraries
License:	ASL 2.0
URL:		http://glite.web.cern.ch/glite/
#		cvs -d:pserver:anonymous@glite.cvs.cern.ch:/cvs/glite \
#		    co -r LCG-DM_R_1_7_3_1 -d LCG-DM-1.7.3.1 LCG-DM
#		tar --exclude CVS -z -c -f LCG-DM-1.7.3.1.tar.gz LCG-DM-1.7.3.1
Source0:	LCG-DM-%{version}.tar.gz
#		Fix non-standard installation path
#		https://savannah.cern.ch/bugs/?57526
Patch0:		LCG-DM-paths.patch
#		Link using $(CC)
#		https://savannah.cern.ch/bugs/?57527
Patch1:		LCG-DM-ld.patch
#		Fix soname issues
#		https://savannah.cern.ch/bugs/?57528
Patch2:		LCG-DM-withsoname.patch
#		Link binaries using shared libraries
#		https://savannah.cern.ch/bugs/?57529
Patch3:		LCG-DM-shliblink.patch
#		Link to gsoap library, mix parallel build
#		https://savannah.cern.ch/bugs/?57530
Patch4:		LCG-DM-gsoap.patch
#		Fix non-standard install permissions
#		https://savannah.cern.ch/bugs/?57531
Patch5:		LCG-DM-installpermissions.patch
#		Fix init script issues
#		https://savannah.cern.ch/bugs/?57532
Patch6:		LCG-DM-initscripts.patch
#		Fix man page installation
#		https://savannah.cern.ch/bugs/?57533
Patch7:		LCG-DM-man.patch
#		Fix parallel build and other makefile glitches
#		https://savannah.cern.ch/bugs/?57534
Patch8:		LCG-DM-rules.patch
#		Postgres include path
#		https://savannah.cern.ch/bugs/?57535
Patch9:		LCG-DM-posinc.patch
#		Adapt upstream's hardcoded include and library paths for Fedora
Patch10:	LCG-DM-usr.patch
#		Allow moving plugins out of default library search path
Patch11:	LCG-DM-dlopen.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	globus-gssapi-gsi-devel%{?_isa}
BuildRequires:	globus-gss-assist-devel%{?_isa}
BuildRequires:	globus-gsi-credential-devel%{?_isa}
BuildRequires:	globus-gsi-callback-devel%{?_isa}
BuildRequires:	globus-common-devel%{?_isa}
BuildRequires:	voms-devel%{?_isa}
BuildRequires:	gsoap-devel%{?_isa}
BuildRequires:	mysql-devel%{?_isa}
%if %{?fedora}%{!?fedora:0} >= 12 || %{?rhel}%{!?rhel:0} >= 6
BuildRequires:	libuuid-devel%{?_isa}
%else
BuildRequires:	e2fsprogs-devel%{?_isa}
%endif
BuildRequires:	swig
%if %{?fedora}%{!?fedora:0} >= 7 || %{?rhel}%{!?rhel:0} >= 6
BuildRequires:	perl-devel%{?_isa}
%else
BuildRequires:	perl
%endif
BuildRequires:	python-devel%{?_isa}

%description
The LCG File Catalog (LFC) keeps track of the locations of the physical
replicas of the logical files in a distributed storage system

%package devel
Summary:	LFC development libraries and header files
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	lcgdm-devel%{?_isa}

%description devel
Development libraries and header files for the LCG File Catalog (LFC)

%package -n lcgdm
Summary:	LCG Data Management common libraries
Group:		System Environment/Libraries

%description -n lcgdm
The lcgdm package contains common libraries for the LCG Data Management
components: the LFC (LCG File Catalog) and the DPM (Disk Pool Manager)

%package -n lcgdm-devel
Summary:	LCG Data Management common development files
Group:		Development/Libraries
Requires:	lcgdm%{?_isa} = %{version}-%{release}

%description -n lcgdm-devel
Common development libraries and header files for LCG Data Management

%package client
Summary:	LCG File Catalog (LFC) client
Group:		Applications/Internet
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description client
Command line interfaces for the LCG File Catalog (LFC)

%package perl
Summary:	LCG File Catalog (LFC) perl bindings
Group:		Applications/Internet
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description perl
Perl bindings for the LCG File Catalog (LFC) client library

%package python
Summary:	LCG File Catalog (LFC) python bindings
Group:		Applications/Internet
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description python
Python bindings for the LCG File Catalog (LFC) client library

%package mysql
Summary:	LCG File Catalog (LFC) server with MySQL database backend
Group:		Applications/Internet
Provides:	lfcdaemon = %{version}-%{release}

Requires(pre):		shadow-utils
Requires(post):		chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts

%description mysql
LCG File Catalog (LFC) server that uses MySQL as its database backend

%package dli
Summary:	LCG File Catalog (LFC) data location interface (dli) server
Group:		Applications/Internet
Requires:	lfcdaemon

Requires(pre):		lfcdaemon
Requires(post):		chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts

%description dli
Data location interface (dli) server for the LCG File Catalog (LFC)

%prep
%setup -q -n LCG-DM-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

chmod 644 security/globus_gsi_gss_constants.h \
	  security/globus_i_gsi_credential.h \
	  security/gssapi_openssl.h
chmod 644 doc/lfc/INSTALL-*

# Use full path to plugins (see patch #11)
sed 's!@@LIBDIR@@!%{_libdir}!' -i security/Csec_api_loader.c

%build
# The code violates the strict aliasing rules all over the place...
# Need to use -fnostrict-aliasing so that the -O2 optimization in
# optflags doesn't try to use them.
sed 's/^CC +=/& %{optflags} -fno-strict-aliasing/' -i config/linux.cf

gsoapversion=`soapcpp2 -v 2>&1 | grep Compiler | sed 's/.* //'`

./configure lfc --with-mysql \
	--libdir=%{_lib} \
	--with-gsoap-location=%{_prefix} \
	--with-gsoap-version=$gsoapversion \
	--with-voms-location=%{_prefix} \
	--with-id-map-file=%{_sysconfdir}/lcgdm-mapfile \
	--with-ns-config-file=%{_sysconfdir}/NSCONFIG \
	--with-sysconf-dir='$(prefix)/../etc'

echo '#!/bin/sh' > cpp
echo '/lib/cpp -Ui386 "$@"' >> cpp
chmod +x cpp
IMAKECPP=${PWD}/cpp make -f Makefile.ini Makefiles

make %{?_smp_mflags} prefix=%{_prefix}

%install
rm -rf ${RPM_BUILD_ROOT}

make prefix=${RPM_BUILD_ROOT}%{_prefix} install
make prefix=${RPM_BUILD_ROOT}%{_prefix} install.man

mv ${RPM_BUILD_ROOT}%{_datadir}/LFC ${RPM_BUILD_ROOT}%{_datadir}/lfc

mkdir -p ${RPM_BUILD_ROOT}%{_initrddir}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/lfc-mysql
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/lfc-mysql

# lfcdaemon startup script
sed -e 's/LD_LIBRARY_PATH=$LD_LIBRARY_PATH //' \
    -e '/LD_LIBRARY_PATH/d' \
    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
    -e 's!\(/var/lock/subsys/\).*!\1lfc-mysql!' \
    -e 's/	/    /g' \
    ${RPM_BUILD_ROOT}%{_datadir}/lfc/rc.lfcdaemon > \
    ${RPM_BUILD_ROOT}%{_initrddir}/lfc-mysql
chmod 755 ${RPM_BUILD_ROOT}%{_initrddir}/lfc-mysql
rm ${RPM_BUILD_ROOT}%{_datadir}/lfc/rc.lfcdaemon

# lfcdaemon configuration file
sed -e 's!/opt/lcg!!g' \
    ${RPM_BUILD_ROOT}%{_sysconfdir}/lfcdaemon.conf.templ > \
    ${RPM_BUILD_ROOT}%{_sysconfdir}/lfc-mysql/lfcdaemon.conf
rm ${RPM_BUILD_ROOT}%{_sysconfdir}/lfcdaemon.conf.templ
touch ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/lfcdaemon

# lfcdaemon log directory and log rotation configuration
mkdir -p ${RPM_BUILD_ROOT}%{_localstatedir}/log/lfc
install -m 644 ns/lfcdaemon.logrotate \
    ${RPM_BUILD_ROOT}%{_sysconfdir}/lfc-mysql/lfcdaemon.logrotate
touch ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/lfcdaemon

# lfcdaemon binary and man page
mv ${RPM_BUILD_ROOT}%{_bindir}/lfcdaemon \
   ${RPM_BUILD_ROOT}%{_libdir}/lfc-mysql/lfcdaemon
touch ${RPM_BUILD_ROOT}%{_sbindir}/lfcdaemon
chmod 755 ${RPM_BUILD_ROOT}%{_sbindir}/lfcdaemon
sed -e 's/\(\.TH [^ ]* \)1/\18/' \
    -e 's!/opt/lcg!!g' \
    -e 's/lfc-shutdown(1)/lfc-shutdown(8)/g' \
    ${RPM_BUILD_ROOT}%{_mandir}/man1/lfcdaemon.1 | gzip -9 -n -c > \
    ${RPM_BUILD_ROOT}%{_libdir}/lfc-mysql/lfcdaemon.8.gz
rm ${RPM_BUILD_ROOT}%{_mandir}/man1/lfcdaemon.1
touch ${RPM_BUILD_ROOT}%{_mandir}/man8/lfcdaemon.8

mv ${RPM_BUILD_ROOT}%{_sysconfdir}/NSCONFIG.templ \
   ${RPM_BUILD_ROOT}%{_libdir}/lfc-mysql/NSCONFIG.templ
touch ${RPM_BUILD_ROOT}%{_datadir}/lfc/NSCONFIG.templ

# lfc-shutdown binary and man page
mv ${RPM_BUILD_ROOT}%{_bindir}/lfc-shutdown \
   ${RPM_BUILD_ROOT}%{_libdir}/lfc-mysql/lfc-shutdown
touch ${RPM_BUILD_ROOT}%{_sbindir}/lfc-shutdown
chmod 755 ${RPM_BUILD_ROOT}%{_sbindir}/lfc-shutdown
sed -e 's/\(\.TH [^ ]* \)1/\18/' \
    ${RPM_BUILD_ROOT}%{_mandir}/man1/lfc-shutdown.1 | gzip -9 -n -c > \
    ${RPM_BUILD_ROOT}%{_libdir}/lfc-mysql/lfc-shutdown.8.gz
rm ${RPM_BUILD_ROOT}%{_mandir}/man1/lfc-shutdown.1
touch ${RPM_BUILD_ROOT}%{_mandir}/man8/lfc-shutdown.8

# lfc-dli startup script
sed -e 's/LD_LIBRARY_PATH=$LD_LIBRARY_PATH //' \
    -e '/LD_LIBRARY_PATH/d' \
    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
    -e 's!/var/log/dli!/var/log/lfc-dli!g' \
    -e 's/	/    /g' \
    ${RPM_BUILD_ROOT}%{_datadir}/lfc/rc.lfc-dli > \
    ${RPM_BUILD_ROOT}%{_initrddir}/lfc-dli
chmod 755 ${RPM_BUILD_ROOT}%{_initrddir}/lfc-dli
rm ${RPM_BUILD_ROOT}%{_datadir}/lfc/rc.lfc-dli

# lfc-dli configuration file
sed -e 's!/var/log/dli!/var/log/lfc-dli!g' \
    -e 's/\(LFC_HOST=\).*/\1`hostname -f`/' \
    ${RPM_BUILD_ROOT}%{_sysconfdir}/lfc-dli.conf.templ > \
    ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/lfc-dli
rm ${RPM_BUILD_ROOT}%{_sysconfdir}/lfc-dli.conf.templ

# lfc-dli log directory and log rotation configuration
mkdir -p ${RPM_BUILD_ROOT}%{_localstatedir}/log/lfc-dli
sed -e 's!/var/log/dli!/var/log/lfc-dli!g' dli/lfc-dli.logrotate > \
    ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/lfc-dli

# lfc-dli binary and man page
mv ${RPM_BUILD_ROOT}%{_bindir}/lfc-dli ${RPM_BUILD_ROOT}%{_sbindir}/lfc-dli
sed -e 's/\(\.TH [^ ]* \)1/\18/' \
    -e 's!/var/log/dli!/var/log/lfc-dli!g' \
    -e 's/lfcdaemon(1)/lfcdaemon(8)/g' \
    ${RPM_BUILD_ROOT}%{_mandir}/man1/lfc-dli.1 > \
    ${RPM_BUILD_ROOT}%{_mandir}/man8/lfc-dli.8
rm ${RPM_BUILD_ROOT}%{_mandir}/man1/lfc-dli.1

sed 's/\(^LFC_VERSION=\).*/\1%{version}/' scripts/lcg-info-provider-lfc > \
    ${RPM_BUILD_ROOT}%{_datadir}/lfc/lcg-info-provider-lfc 
chmod 755 ${RPM_BUILD_ROOT}%{_datadir}/lfc/lcg-info-provider-lfc 

# Move plugins out of the default library search path
mkdir ${RPM_BUILD_ROOT}%{_libdir}/lcgdm
mv ${RPM_BUILD_ROOT}%{_libdir}/libCsec_plugin_* \
   ${RPM_BUILD_ROOT}%{_libdir}/lcgdm

# Create lfc user home
mkdir -p ${RPM_BUILD_ROOT}%{_localstatedir}/lib/lfc

# Remove due to name conflict
rm ${RPM_BUILD_ROOT}%{_mandir}/man3/log.3*

# Remove static libraries
rm ${RPM_BUILD_ROOT}%{_libdir}/liblfc.a
rm ${RPM_BUILD_ROOT}%{_libdir}/liblcgdm.a

# Turn off services by default
sed -e 's/\(chkconfig: \)\w*/\1-/' \
    -e '/Default-Start/d' \
    -e 's/\(Default-Stop: *\).*/\10 1 2 3 4 5 6/' \
    -i ${RPM_BUILD_ROOT}%{_initrddir}/lfc-mysql \
       ${RPM_BUILD_ROOT}%{_initrddir}/lfc-dli

%if %{?fedora}%{!?fedora:0} >= 5 || %{?rhel}%{!?rhel:0} >= 5
# Byte compilation handled by rpm by default
%else
%{__python}    -c 'import compileall; compileall.compile_dir("'"$RPM_BUILD_ROOT"'", 10, "/", 1)' > /dev/null
%{__python} -O -c 'import compileall; compileall.compile_dir("'"$RPM_BUILD_ROOT"'", 10, "/", 1)' > /dev/null
%endif

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n lcgdm -p /sbin/ldconfig

%postun -n lcgdm -p /sbin/ldconfig

%pre mysql
getent group lfcmgr > /dev/null || groupadd -r lfcmgr
getent passwd lfcmgr > /dev/null || useradd -r -g lfcmgr \
    -d %{_localstatedir}/lib/lfc -s /bin/bash -c "LFC Manager" lfcmgr
exit 0

%post mysql
if [ $1 = 1 ]; then
    /sbin/chkconfig --add lfc-mysql
fi
%{_sbindir}/update-alternatives --install %{_sbindir}/lfcdaemon lfcdaemon \
	  %{_libdir}/lfc-mysql/lfcdaemon 20 \
  --slave %{_mandir}/man8/lfcdaemon.8.gz lfcdaemon.8.gz \
	  %{_libdir}/lfc-mysql/lfcdaemon.8.gz \
  --slave %{_datadir}/lfc/NSCONFIG.templ NSCONFIG.templ \
	  %{_libdir}/lfc-mysql/NSCONFIG.templ \
  --slave %{_sysconfdir}/sysconfig/lfcdaemon lfcdaemon.conf \
	  %{_sysconfdir}/lfc-mysql/lfcdaemon.conf \
  --slave %{_sysconfdir}/logrotate.d/lfcdaemon lfcdaemon.logrotate \
	  %{_sysconfdir}/lfc-mysql/lfcdaemon.logrotate \
  --slave %{_sbindir}/lfc-shutdown lfc-shutdown \
	  %{_libdir}/lfc-mysql/lfc-shutdown \
  --slave %{_mandir}/man8/lfc-shutdown.8.gz lfc-shutdown.8.gz \
	  %{_libdir}/lfc-mysql/lfc-shutdown.8.gz \
  --initscript lfc-mysql

%preun mysql
export LANG=C

if [ $1 = 0 ]; then
    %{_sbindir}/update-alternatives --display lfcdaemon | \
	grep currently | grep -q lfc-mysql && \
	/sbin/service lfc-mysql stop > /dev/null 2>&1 || :
    %{_sbindir}/update-alternatives --remove lfcdaemon \
	%{_libdir}/lfc-mysql/lfcdaemon
    /sbin/chkconfig --del lfc-mysql
fi

%postun mysql
if [ $1 -ge 1 ]; then
    %{_sbindir}/update-alternatives --display lfcdaemon | \
	grep currently | grep -q lfc-mysql && \
	/sbin/service lfc-mysql condrestart > /dev/null 2>&1 || :
fi

%post dli
if [ $1 = 1 ]; then
    /sbin/chkconfig --add lfc-dli
fi

%preun dli
if [ $1 = 0 ]; then
    /sbin/service lfc-dli stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del lfc-dli
fi

%postun dli
if [ $1 -ge 1 ]; then
    /sbin/service lfc-dli condrestart > /dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%{_libdir}/liblfc.so.*
%doc doc/lfc/README LICENSE

%files devel
%defattr(-,root,root,-)
%{_includedir}/lfc
%{_libdir}/liblfc.so
%doc %{_mandir}/man3/lfc_[a-o]*.3*
%doc %{_mandir}/man3/lfc_ping.3*
%doc %{_mandir}/man3/lfc_[q-z]*.3*

%files -n lcgdm
%defattr(-,root,root,-)
%{_libdir}/liblcgdm.so.*
%dir %{_libdir}/lcgdm
%{_libdir}/lcgdm/libCsec_plugin_GSI.so
%{_libdir}/lcgdm/libCsec_plugin_GSI_thread.so
%{_libdir}/lcgdm/libCsec_plugin_ID.so
%doc LICENSE

%files -n lcgdm-devel
%defattr(-,root,root,-)
%{_libdir}/liblcgdm.so
%doc %{_mandir}/man3/C*.3*
%doc %{_mandir}/man3/getconfent.3*
%doc %{_mandir}/man3/netclose.3*
%doc %{_mandir}/man3/netread.3*
%doc %{_mandir}/man3/netwrite.3*
%doc %{_mandir}/man3/serrno.3*
%doc %{_mandir}/man4/Castor_limits.4*

%files client
%defattr(-,root,root,-)
%{_bindir}/lfc-*
%doc %{_mandir}/man1/*

%files perl
%defattr(-,root,root,-)
%{perl_vendorarch}/lfc.so
%{perl_vendorarch}/lfc.pm
%doc %{_mandir}/man3/lfc_perl.3*

%files python
%defattr(-,root,root,-)
%{python_sitearch}/_lfc.so
%{python_sitearch}/lfc.py*
%{python_sitearch}/_lfcthr.so
%{python_sitearch}/lfcthr.py*
%{python_sitearch}/_lfc2.so
%{python_sitearch}/lfc2.py*
%{python_sitearch}/_lfc2thr.so
%{python_sitearch}/lfc2thr.py*
%doc %{_mandir}/man3/lfc_python.3*
%doc %{_mandir}/man3/lfc2_python.3*

%files mysql
%defattr(-,root,root,-)
%dir %{_libdir}/lfc-mysql
%{_libdir}/lfc-mysql/lfcdaemon
%ghost %{_sbindir}/lfcdaemon
%{_libdir}/lfc-mysql/lfc-shutdown
%ghost %{_sbindir}/lfc-shutdown
%{_libdir}/lfc-mysql/NSCONFIG.templ
%ghost %{_datadir}/lfc/NSCONFIG.templ
%doc %{_libdir}/lfc-mysql/lfcdaemon.8*
%ghost %{_mandir}/man8/lfcdaemon.8*
%doc %{_libdir}/lfc-mysql/lfc-shutdown.8*
%ghost %{_mandir}/man8/lfc-shutdown.8*
%dir %{_sysconfdir}/lfc-mysql
%config(noreplace) %{_sysconfdir}/lfc-mysql/lfcdaemon.conf
%ghost %{_sysconfdir}/sysconfig/lfcdaemon
%config(noreplace) %{_sysconfdir}/lfc-mysql/lfcdaemon.logrotate
%ghost %{_sysconfdir}/logrotate.d/lfcdaemon
%{_initrddir}/lfc-mysql
%dir %{_datadir}/lfc
%{_datadir}/lfc/create_lfc_tables_mysql.sql
%attr(-,lfcmgr,lfcmgr) %{_localstatedir}/log/lfc
%attr(-,lfcmgr,lfcmgr) %{_localstatedir}/lib/lfc
%doc doc/lfc/INSTALL-server-mysql LICENSE

%files dli
%defattr(-,root,root,-)
%{_sbindir}/lfc-dli
%doc %{_mandir}/man8/lfc-dli.8*
%{_initrddir}/lfc-dli
%config(noreplace) %{_sysconfdir}/sysconfig/lfc-dli
%config(noreplace) %{_sysconfdir}/logrotate.d/lfc-dli
%{_datadir}/lfc/lcg-info-provider-lfc
%attr(-,lfcmgr,lfcmgr) %{_localstatedir}/log/lfc-dli

%changelog
* Tue Nov 24 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.7.3.1-3
- Don't use /sbin/nologin as shell - doesn't work with su

* Mon Nov 23 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.7.3.1-2
- Make dlopening work for standalone

* Tue Sep 22 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.7.3.1-1
- Update to version 1.7.3.1

* Wed Aug 19 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.7.2.5-2
- Patch refactoring
- Add alternatives support

* Fri Aug 14 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.7.2.5-1
- Update to version 1.7.2.5
- Dropped patch LFC-nofunctions.patch (fixed upstream)

* Wed Jan 14 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.7.0.6-1
- Update to version 1.7.0.6
- Dropped patch LFC-glibc28.patch (fixed upstream)
- Dropped patch LFC-perlbug.patch (no longer needed)

* Sun Oct 26 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.7.0.2-1ng
- Update to version 1.7.0.2
- Dropped patch LFC-spelling.patch (fixed upstream)

* Fri May 16 2008 Anders Wäänänen <waananen@nbi.dk> - 1.6.9.1-5ng
- Support Alpha architecture
- Added patch LFC-glibc28.patch for glibc-2.8 support
- Added patch LFC-perlbug.patch for work-around on Fedora 9 x86_64

* Tue Apr 02 2008 Anders Wäänänen <waananen@nbi.dk> - 1.6.9.1-4ng
- Added patch from Mattias Ellert <mattias.ellert@fysast.uu.se>:
    LFC-shliblink.patch - Make clients link dynamically against library 

* Tue Mar 18 2008 Anders Wäänänen <waananen@nbi.dk> - 1.6.9.1-3ng
- Added ng to release tag
- Added patches:
    LFC-withsoname.patch - Add sonames libraries (helps package dependencies)
    LFC-nofunctions.patch - Support systems without /etc/init.d/functions
    LFC-spelling.patch - Spelling corrections

* Sat Jan 12 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.6.9.1-2
- Fixing some file permissions in the server package

* Sat Jan 12 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.6.9.1-1
- Update.

* Wed Jul 25 2007 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.6.6.1-1
- Update.

* Thu May 10 2007 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.6.4.3-1
- Initial build.
